Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.handler
Class ContextHandlerCollection

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler
              org.mortbay.jetty.handler.AbstractHandlerContainer
                  org.mortbay.jetty.handler.HandlerCollection
                      org.mortbay.jetty.handler.ContextHandlerCollection

All Implemented Interfaces:
  LifeCycle, Handler, HandlerContainer

    public class ContextHandlerCollection

extends HandlerCollection

ContextHandlerCollection. This `HandlerCollection` is creates a `PathMap` to it's contained handlers based on the context path and virtual hosts of any contained `ContextHandler`s. The contexts do not need to be directly contained, only children of the contained handlers. Multiple contexts may have the same context path and they are called in order until one handles the request.

Nested Class Summary

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.mortbay.jetty.handler.AbstractHandler
`_string`

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Fields inherited from interface org.mortbay.jetty.Handler
`ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

Constructor Summary
`ContextHandlerCollection()`

Method Summary
`ContextHandler` | `addContext(java.lang.String contextPath, java.lang.String resourceBase)` Add a context handler.
`protected void` | `doStart()`
`java.lang.Class` | `getContextClass()`
`void` | `handle(java.lang.String target, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, int dispatch)` Handle a request.
`void` | `mapContexts()` Remap the context paths.
`void` | `setContextClass(java.lang.Class contextClass)`
`void` | `setHandlers(Handler[] handlers)`

Methods inherited from class org.mortbay.jetty.handler.HandlerCollection
`addHandler, doStop, expandChildren, getHandlers, removeHandler, setServer`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandlerContainer
`expandHandler, getChildHandlerByClass, getChildHandlers, getChildHandlersByClass`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandler
`destroy, getServer, toString`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Constructor Detail

### ContextHandlerCollection

    public ContextHandlerCollection()

Method Detail

### mapContexts

    public void mapContexts()

  Remap the context paths.

### setHandlers

    public void setHandlers(Handler[] handlers)

  Overrides:
    `setHandlers` in class `HandlerCollection`
  Parameters:
    `handlers` - The handlers to set.

### doStart

    protected void doStart()
                    throws java.lang.Exception

  Overrides:
    `doStart` in class `HandlerCollection`
  Throws:
    `java.lang.Exception`

### handle

    public void handle(java.lang.String target,
                       javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response,
                       int dispatch)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Description copied from interface: `Handler`
  Handle a request.

  Specified by:
    `handle` in interface `Handler`
  Overrides:
    `handle` in class `HandlerCollection`
  Parameters:
    `target` - The target of the request - either a URI or a name.
    `request` - The request either as the `Request` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Request object if required.
    `response` - The response as the `Response` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Response object if required.
    `dispatch` - The dispatch mode: `Handler.REQUEST`, `Handler.FORWARD`, `Handler.INCLUDE`, `Handler.ERROR`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### addContext

    public ContextHandler addContext(java.lang.String contextPath,
                                     java.lang.String resourceBase)

  Add a context handler.

  Parameters:
    `contextPath` - The context path to add
  Returns:
  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

### getContextClass

    public java.lang.Class getContextClass()

  Returns:
    The class to use to add new Contexts

### setContextClass

    public void setContextClass(java.lang.Class contextClass)

  Parameters:
    `contextClass` - The class to use to add new Contexts

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.